#!/bin/bash

#Löscht alle "*.tar.gz" und "*.sql" Dateien die älter als 14 Tage sind:
find -P "/mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/Nginx-proxy/"  -maxdepth 1 -type f \( -name '*.tar.gz' \) -ctime +14 -exec rm {} \;

#Die Docker Container stoppen und die Datenverzeichnisse komprimieren und wegkopieren
cd /root/deployments/bmen-nginx-proxy/
docker-compose stop
cd /opt/appdata/
tar cvf /mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/Nginx-proxy/bmen-nginx-proxy-`date '+%Y%m%d%H%M'`.tar.gz webproxy/

#Docker Container aktualisieren und starten
cd /root/deployments/bmen-nginx-proxy/
docker-compose pull
docker-compose start

#Webproxy Datenbank über die Dateiänderung Bescheid geben
docker exec --user www-data nextcloud php occ files:scan -p bmen/files/Server/Hetzner-Cloud-CX21/Nginx-proxy/
